package com.lagou.dao;

import com.lagou.domain.Course;
import com.lagou.domain.CourseSection;

import java.util.List;

public interface CourseContentMapper {

    /**
     * 根据课程id查询关联的章节信息以及
     *      章节信息关联的课时信息
     * @param courseId
     * @return
     */
    List<CourseSection> findSectionAndLessonByCourseId(Integer courseId);

    /**
     * 回显章节对应课时信息
     * @param courseId
     * @return
     */
    Course findCourseByCourseId(int courseId);

    /**
     * 新增章节信息
     * @param courseSection
     */
    void saveSection(CourseSection courseSection);

    /**
     * 更新章节信息
     * @param courseSection
     */
    void updateSection(CourseSection courseSection);

    /**
     * 修改章节状态
     * @param courseSection
     */
    void updateSectionStatus(CourseSection courseSection);

}
