package com.lagou.dao;

import com.lagou.domain.Course;
import com.lagou.domain.CourseVO;
import com.lagou.domain.Teacher;

import java.util.List;

public interface CourseMapper {

    /**
     * 多条件课程列表查询
     * @param courseVO
     * @return
     */
    public List<Course> findCourseByCondition(CourseVO courseVO);

    /**
     * 保存课程信息
     * @param course
     * @return
     */
    public void saveCourse(Course course);

    /**
     * 保存讲师信息
     * @param teacher
     */
    public void saveTeacher(Teacher teacher);

    /**
     * 回显课程信息
     * @param id
     * @return
     */
    public CourseVO findCourseById(Integer id);

    /**
     * 更新课程信息
     * @param course
     */
    public void updateCourse(Course course);

    /**
     * 更新讲师信息
     * @param teacher
     */
    public void updateTeacher(Teacher teacher);

    /**
     * 更新课程状态
     * @param course
     */
    public void updateCourseStatus(Course course);

}
