package com.lagou.dao;

import com.lagou.domain.Menu;

import java.util.List;

public interface MenuMapper {

    /**
     * 查询所有父子菜单信息
     * @param pid
     * @return
     */
    List<Menu> findSubMenuListByPid(int pid);

    /**
     * 查询所有菜单列表
     * @return
     */
    List<Menu> findAllMenu();

    /**
     * 根据id查询菜单信息
     * @param id
     * @return
     */
    Menu findMenuById(Integer id);

    /**
     * 新增菜单
     * @param menu
     */
    void insertMenu(Menu menu);

    /**
     * 更新菜单
     * @param menu
     */
    void updateMenu(Menu menu);
}
