package com.lagou.dao;

import com.lagou.domain.Role;
import com.lagou.domain.Role_menu_relation;

import java.util.List;

public interface RoleMapper {

    /**
     * 查询所有角色 &
     * 条件查询
     * @return
     */
    List<Role> findAllRole(Role role);

    /**
     * 添加角色信息
     * @param role
     */
    void saveRole(Role role);

    /**
     * 修改角色信息
     * @param role
     */
    void updateRole(Role role);

    /**
     * 根据角色ID查询该角色关联的菜单信息ID [1,2,3,5]
     * @param roleId
     * @return
     */
    List<Integer> findMenuByRoleId(Integer roleId);

    /**
     * 根据角色id删除中间表的关联关系
     * @param rid
     */
    void deleteRoleContextMenu(Integer rid);

    /**
     * 为角色分配菜单信息
     * @param role_menu_relation
     */
    void roleContextMenu(Role_menu_relation role_menu_relation);

    /**
     * 删除角色
     * @param id
     */
    void deleteRole(Integer id);
}
