package com.lagou.dao;

import com.lagou.domain.*;

import java.util.List;

public interface UserMapper {

    /**
     * 用户分页 &
     * 多条件组合查询
     * @param userVO
     * @return
     */
    List<User> findAllUserByPage(UserVO userVO);

    /**
     * 修改用户状态
     * @param user
     */
    void updateUserStatus(User user);

    /**
     * 用户登录（根据用户名查询具体的用户信息）
     * @param user
     * @return
     */
    User login(User user);

    /**
     * 根据用户id查询关联角色
     * @param id
     * @return
     */
    List<Role> findUserRelationRoleById(Integer id);

    /**
     * 根据用户ID清空中间表
     * @param userId
     */
    void deleteUserContextRole(Integer userId);

    /**
     * 分配角色
     * @param user_role_relation
     */
    void userContextRole(User_Role_relation user_role_relation);

    /**
     * 根据角色Id， 查询角色所拥有的顶级菜单（-1）
     * @param ids
     * @return
     */
    List<Menu> findParentMenuByRoleId(List<Integer> ids);

    /**
     * 查询子菜单信息
     * @param pid
     * @return
     */
    List<Menu> findSubMenuByPid(Integer pid);

    /**
     * 获取用户所拥有的资源信息
     * @param ids
     * @return
     */
    List<Resource> findResourceByRoleId(List<Integer> ids);
}
