package com.lagou.service;

import com.lagou.domain.Course;
import com.lagou.domain.CourseSection;

import java.util.List;

public interface CourseContentService {

    /**
     * 根据课程ID查询 对应的课程内容（章节+课时）
     * @param id
     * @return
     */
    List<CourseSection> findSectionAndLessonByCourseId(Integer id);

    /**
     * 回显章节对应课程信息
     * @param courseId
     * @return
     */
    Course findCourseByCourseId(int courseId);

    /**
     * 新增章节信息
     * @param courseSection
     */
    void saveSection(CourseSection courseSection);

    /**
     * 更新章节信息
     * @param courseSection
     */
    void updateSection(CourseSection courseSection);

    /**
     * 修改章节状态
     * @param id
     * @param status
     */
    void updateSectionStatus(int id, int status);
}
