package com.lagou.service;

import com.lagou.domain.Course;
import com.lagou.domain.CourseVO;
import com.lagou.domain.Teacher;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

public interface CourseService {

    /**
     * 多条件课程列表查询
     * @param courseVO
     * @return
     */
    public List<Course> findCourseByCondition(CourseVO courseVO);

    /**
     * 添加课程及讲师信息
     * @param courseVO
     */
    public void saveCourseOrTeacher(CourseVO courseVO) throws InvocationTargetException, IllegalAccessException;

    /**
     * 根据ID查询课程信息
     * @param id
     * @return
     */
    public CourseVO findCourseById(Integer id);

    /**
     * 更新课程和讲师信息
     * @param courseVO
     */
    public void updateCourseOrTeacher(CourseVO courseVO) throws InvocationTargetException, IllegalAccessException;

    /**
     * 更新课程状态
     * @param courseId
     * @param status
     */
    public void updateCourseStatus(int courseId, int status);
}
