package com.lagou.service;

import com.github.pagehelper.PageInfo;
import com.lagou.domain.Menu;
import com.lagou.domain.MenuVO;

import java.util.List;

public interface MenuService {

    /**
     * 查询父子菜单信息
     * @param pid
     * @return
     */
    List<Menu> findSubMenuListByPid(int pid);

    /**
     * 查询所有菜单信息
     * @return
     */
     PageInfo findAllMenu(MenuVO menuVO);

    /**
     * 根据id查询菜单信息
     * @param id
     * @return
     */
    Menu findMenuById(Integer id);

    /**
     * 新增菜单
     * @param menu
     */
    void saveMenu(Menu menu);

    /**
     * 更新菜单
     * @param menu
     */
    void updateMenu(Menu menu);
}
