package com.lagou.service;

import com.lagou.domain.Role;
import com.lagou.domain.RoleMenuVO;
import com.lagou.domain.Role_menu_relation;

import java.util.List;

public interface RoleService {

    /**
     * 查询所有角色(条件)
     * @param role
     * @return
     */
    List<Role> findAllRole(Role role);

    /**
     * 保存角色
     * @param role
     */
    void saveRole(Role role);

    /**
     * 更新角色
     * @param role
     */
    void updateRole(Role role);

    /**
     * 根据角色id查询关联的菜单信息ID
     * @param roleId
     * @return
     */
    List<Integer> findMenuByRoleId(Integer roleId);

    /**
     * 为角色分配菜单
     * @param roleMenuVO
     */
    void roleContextMenu(RoleMenuVO roleMenuVO);

    /**
     * 删除角色
     * @param roleId
     */
    void deleteRole(Integer roleId);
}
