package com.lagou.service;

import com.github.pagehelper.PageInfo;
import com.lagou.domain.ResponseResult;
import com.lagou.domain.Role;
import com.lagou.domain.User;
import com.lagou.domain.UserVO;

import java.util.List;

public interface UserService {

    /**
     * 用户分页 &
     * 多条件查询
     * @param userVO
     * @return
     */
    PageInfo findAllUserByPage(UserVO userVO);

    /**
     * 修改用户状态
     * @param id
     * @param status
     */
    void updateUserStatus(int id, String status);

    /**
     * 用户登录
     * @param user
     * @return
     */
    User login(User user) throws Exception;

    /**
     * 分配角色（回显）
     * @param id
     * @return
     */
    List<Role> findUserRelationRoleById(Integer id);

    /**
     * 用户关联角色
     * @param userVO
     */
    void userContextRole(UserVO userVO);

    /**
     * 获取用户权限，进行菜单动态展示
     * @param userId
     * @return
     */
    ResponseResult getUserPermissions(Integer userId);
}
