package com.lagou.utils;

import org.apache.commons.codec.digest.DigestUtils;

public class Md5 {

    public final static String md5key = "lagou";

    /**
     * MD5方法
     * @param text  明文
     * @param key   密钥
     * @return 密文
     */
    public static String md5(String text, String key) throws Exception {
        // 加密后的字符串
        String encodeStr = DigestUtils.md5Hex(text+key);
        System.out.println("加密后的字符："+encodeStr);
        return encodeStr;
    }

    /**
     * MD5验证方法
     * @param text  明文
     * @param key   密钥
     * @param md5   密文
     * @return  true/false
     * @throws Exception
     */
    public static boolean verify(String text, String key, String md5) throws Exception {
        // 根据传入的密钥进行验证
        String md51 = md5(text, key);
        if (md51.equalsIgnoreCase(md5)) {
            System.out.println("MD5验证通过");
            return true;
        }
        return false;
    }
}
