package com.lagou.controller;

import com.github.pagehelper.PageInfo;
import com.lagou.domain.Resource;
import com.lagou.domain.ResourceVO;
import com.lagou.domain.ResponseResult;
import com.lagou.service.ResourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/resource")
public class ResourceController {

    @Autowired
    private ResourceService resourceService;

    /**
     * 分页多条件查询资源
     * @param resourceVO
     * @return
     */
    @RequestMapping("/findAllResource")
    public ResponseResult findAllResourceByPage(@RequestBody ResourceVO resourceVO) {

        PageInfo<Resource> pageInfo = resourceService.findAllResourceByPage(resourceVO);

        return new ResponseResult(true, 200, "分页多条件查询资源信息成功", pageInfo);
    }

    /**
     * 保存或更新资源
     * @param resource
     * @return
     */
    @RequestMapping("/saveOrUpdateResource")
    public ResponseResult saveOrUpdateResource(@RequestBody Resource resource) {

        if (resource.getId() == null) {
            // 新增
            resourceService.saveResource(resource);
            return new ResponseResult(true, 200, "新增资源成功", null);
        } else {
            resourceService.updateResource(resource);
            return new ResponseResult(true, 200, "更新资源成功", null);
        }
    }

    /**
     * 删除资源信息
     * @param id
     * @return
     */
    @RequestMapping("/deleteResource")
    public ResponseResult deleteResource(Integer id) {

        resourceService.deleteResource(id);
        return new ResponseResult(true, 200, "删除资源信息", null);
    }
}
